#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	pv
Version		:	1.6.6
Release		:	14.8.0.0%{?dist}
Summary		:	Monitor the progress of data through a pipe

Group		:	Development/Tools

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	Artistic 2.0
URL		:	http://www.ivarch.com/programs/pv.shtml

Source0		:	%{name}-%{version}.tar.gz

buildroot	:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)


#-----------------------------------------------------------------------------
%description
PV ("Pipe Viewer") is a tool for monitoring the progress of data through a
pipeline.  It can be inserted into any normal pipeline between two processes
to give a visual indication of how quickly data is passing through, how long
it has taken, how near to completion it is, and an estimate of how long it
will be until completion.

%prep
%setup -q

#---------------------------------------------------------
#building application
%build

./configure						\
        --prefix=%{_prefix}				\
	--exec-prefix=%{_exec_prefix}			\
        --sysconfdir=%{_sysconfdir}			\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--docdir=%{_defaultdocdir}/%{name}-%{version}	\
	--disable-static				\
	


%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)

%{__make} %{_smp_mflags}

%clean
%{__rm} -rf %{buildroot}

#installing program
%install

%{__rm} -rf %{buildroot}

%{__make} DESTDIR=%{buildroot} install
#%{__rm} %{buildroot}%{_infodir}/dir

%files			
%defattr(-,root,root,-)

%doc README
%{_bindir}/%{name}
%{_datadir}/locale/*/LC_MESSAGES/*.mo
%{_mandir}/man1/*.1.gz

%post

%postun


%changelog
